Bug 1006651 - qemu should give a more friendly prompt when didn't specify read-only for VHDX format disk
Summary: qemu should give a more friendly prompt when didn't specify read-only for VHD...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jeff Cody
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 879234 1006650
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-11 03:19 UTC by Sibiao Luo
Modified: 2015-12-04 16:13 UTC (History)
14 users (show)

Fixed In Version: qemu 2.3
Doc Type: Bug Fix
Doc Text:
Clone Of: 1006650
Environment:
Last Closed: 2015-12-04 16:13:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2546 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2015-12-04 21:11:56 UTC

Comment 1 juzhang 2013-09-11 03:21:17 UTC
Hi Sluo,

Paste your RHEL7.0 host and qemu-kvm infos in the bz.

Comment 2 Sibiao Luo 2013-09-11 03:47:04 UTC
host info:
3.10.0-18.el7.x86_64
qemu-kvm-1.5.3-2.el7.x86_64

e.g:....-drive file=/mnt/sluo-win2012-64bit.vhdx,if=none,format=vhdx,id=drive-data-disk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk
Warning: option deprecated, use lost_tick_policy property of kvm-pit instead.
qemu-kvm: -drive file=/mnt/sluo-win2012-64bit.vhdx,if=none,format=vhdx,id=drive-data-disk,cache=none,werror=stop,rerror=stop: 'vhdx' invalid format
/etc/qemu-ifdown: could not launch network script

Best Regards,
sluo

Comment 4 Sibiao Luo 2014-03-04 06:08:31 UTC
Retried the latest qemu-kvm-rhev-1.5.3-50.el7.x86_64 version that still hit the same issue which did not fix at all.
QEMU will quit and give a more friendly prompt message for users without read-only specified, like: "'vhdx' can be only used as read-only device".

host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-95.el7.x86_64
qemu-kvm-rhev-1.5.3-50.el7.x86_64

e.g:# /usr/libexec/qemu-kvm -M pc...-drive file=/home/my-vhdx-disk.vhdx,if=none,format=vhdx,id=drive-data-disk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk
Warning: option deprecated, use lost_tick_policy property of kvm-pit instead.
qemu-kvm: -drive file=/home/my-vhdx-disk.vhdx,if=none,format=vhdx,id=drive-data-disk,cache=none,werror=stop,rerror=stop: 'vhdx' invalid format

Base on above, re-assign it.

Best Regards,
sluo

Comment 7 Jeff Cody 2014-07-22 18:57:18 UTC
This is fixed in upstream qemu 2.1 in commit 8f94a6e4, which is a (relatively) clean backport for 7.1.

Comment 8 juzhang 2014-07-24 01:44:16 UTC
(In reply to Jeff Cody from comment #7)
> This is fixed in upstream qemu 2.1 in commit 8f94a6e4, which is a
> (relatively) clean backport for 7.1.

Since this bz is fixed in qemu2.1, seems we need to update the bz's component to qemu-kvm-rhev.

Best Regards,
Junyi

Comment 15 Pei Zhang 2015-08-05 00:51:19 UTC
Summary:
I retested this bug, and the actual results below prove that this bug has been fixed.

Details:

Versions:
Host:
Kernel:3.10.0-302.el7.x86_64
qemu-kvm-rhev:qemu-kvm-rhev-2.3.0-14.el7.x86_64

Actual results:
# /usr/libexec/qemu-kvm -name test1 -machine  pc-i440fx-rhel7.2.0,accel=kvm,usb=off -cpu SandyBridge -m 2048M -smp 4,sockets=2,cores=2,threads=1 -uuid 82b1a01e-5f6c-4f5f-8d27-3855a74e6b6b  -drive file=/home/win2012r2.qcow2,if=none,id=drive-virtio-blk-0,format=qcow2 -device virtio-blk-pci,drive=drive-virtio-blk-0,bootindex=2,id=virtio-blk01 -netdev tap,id=hostnet0 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=12:54:00:4c:88:6d -spice port=5900,addr=0.0.0.0,disable-ticketing,image-compression=off,seamless-migration=on -monitor stdio  -drive file=disk1.vhdx,if=none,format=vhdx,id=drive-data-disk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk
qemu-kvm: -drive file=disk1.vhdx,if=none,format=vhdx,id=drive-data-disk,cache=none,werror=stop,rerror=stop: Driver 'vhdx' can only be used for read-only devices

Comment 16 juzhang 2015-08-10 05:47:09 UTC
According to comment15, set this issue as verified.

Comment 18 errata-xmlrpc 2015-12-04 16:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2546.html


Note You need to log in before you can comment on or make changes to this bug.